RUNUSER(1)

NOM
runuser - Exécuter une commande avec des identifiants d’utilisateur et de groupe substitués

SYNOPSIS
runuser [options] -u utilisateur commande [argument ...]

runuser [options] [-] [ utilisateur [argument ...] ]

DESCRIPTION
runuser permet d’exécuter des commandes en substituant les identifiants d’utilisateur et de groupe. Si l’option -u n’est pas donnée, elle a recours à des sémantiques compatibles avec su et un interpréteur de commandes est exécuté. La différence entre les commandes runuser et su est que runuser ne demande pas de mot de passe (puisqu’elle ne peut être exécutée que par le superutilisateur) et qu’elle utilise une configuration PAM différente. La commande runuser n’a pas besoin d’être installée avec des droits Set-UID.

Si appelée sans argument, runuser exécute un interpréteur de commandes interactif par défaut en tant que superutilisateur.

Pour assurer la rétrocompatibilité, runuser ne change pas, par défaut, de répertoire actuel et ne définit que les variables d’environnement HOME et SHELL (plus USER et LOGNAME si l’utilisateur cible n’est pas le superutilisateur). Cette version de runuser utilise PAM pour la gestion de session.

OPTIONS

-c, --command=commande
    Passer une commande à l’interpréteur de commandes avec l’option -c.

-f, --fast
    Passer -f à l’interpréteur de commandes, ce qui pourrait être utile ou non suivant l’interpréteur de commandes.

-g, --group=groupe
    Le groupe primaire à utiliser. Cette option n’est permise que pour le superutilisateur.

-G, --supp-group=groupe
    Un groupe additionnel à utiliser, cette option n’est permise que pour le superutilisateur.

-, -l, --login
    Démarrer l’interpréteur de commandes comme un interpréteur de connexion avec un environnement similaire à une connexion réelle :

    o   effacer toutes les variables d'environnement sauf TERM ;

    o   initialiser les variables d'environnement HOME, SHELL, USER, LOGNAME et PATH ;

    o   se placer dans le répertoire personnel de l’utilisateur cible ;

    o   définir argv[0] pour l’interpréteur de commandes à « - » pour faire de l’interpréteur de commandes un interpréteur de connexion.

-m, -p, --preserve-environment
    Préserver la totalité de l’environnement, c’est-à-dire ne pas définir HOME, SHELL, USER ni LOGNAME. Cette option est ignorée si l’option --login est indiquée.

-s, --shell=shell
    Exécuter l’interpréteur de commandes shell indiqué au lieu de celui par défaut. L’interpréteur de commandes à exécuter est sélectionné d’après les règles suivantes dans cet ordre :

    o   l’interpréteur de commandes indiqué avec --shell ;

    o   l’interpréteur de commandes indiqué dans la variable d’environnement SHELL si l’option --preserve-environment est utilisée ;

    o   l’interpréteur de commandes indiqué dans l’entrée passwd de l’utilisateur cible ;

    o   /bin/sh.

    Si l’utilisateur cible a un interpréteur de commandes restreint (c’est-à-dire ne faisant pas partie de /etc/shells), l’option --shell et la variable d’environnement SHELL sont ignorées sauf si l’utilisateur appelant est le superutilisateur.

--session-command=commande
    Comme -c, mais sans créer de nouvelle session (à éviter).

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

FICHIERS DE CONFIGURATION
runuser lit les fichiers de configuration /etc/default/runuser et /etc/login.defs. Les éléments de configuration suivants sont significatifs pour runuser.

ENV_PATH (chaîne)
    Définit la variable d'environnement pour un utilisateur ordinaire. La valeur par défaut est /usr/local/bin:/bin:/usr/bin.

ENV_ROOTPATH (chaîne)
ENV_SUPATH (chaîne)
    Définit la variable d'environnement pour le superutilisateur. La valeur par défaut est /usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin.

ALWAYS_SET_PATH (booléen)
    Si définie à yes et que ni --login, ni --preserve-environment n’étaient indiquées, runuser initialise PATH.

CODES DE RETOUR
runuser renvoie normalement le code de retour de la commande qu’elle exécute. Si la commande a été tuée par un signal, runuser renvoie le numéro du signal plus 128.

Le code de retour généré par runuser elle-même est un des suivants.

    1   Erreur générale avant d’exécuter la commande demandée.

    126 La commande demandée n’a pas pu être exécutée.

    127 La commande demandée n’a pas été trouvée.

FICHIERS
/etc/pam.d/runuser
    fichier de configuration de PAM par défaut
/etc/pam.d/runuser-l
    fichier de configuration de PAM si --login est indiqué
/etc/default/runuser
    fichier de configuration logindef spécifique à runuser
/etc/login.defs
    fichier de configuration logindef général

VOIR AUSSI
su(1), login.defs(5), shells(5), pam(8)

HISTORIQUE
Cette commande runuser est dérivée de su de coreutils, qui était basée sur une implémentation de David MacKenzie, et de la commande runuser de Fedora par Dan Walsh.

DISPONIBILITÉ
La commande runuser fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.